define([
	"dojo/when"
], function(when){
	var QueryResults = function(results){
		// summary:
		//		A function that wraps the results of a store query with additional
		//		methods.
		if(!results) return results;
		if(results.total == null){
			results.total = when(results, function(results){
				return results.total ? results.total : results.length;
			});
		}
		return results;
	};

	return QueryResults;
});